body {
    background-image: url('./1333028.jpg');
    font-family: sans-serif;
    background-repeat: no-repeat, repeat;
    background-size: cover;
    margin: 0%;
    padding: 0%;
}

.container {
    margin: 50px auto;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0, 0.7); 
    width: 50%;
    padding: 20px;
    border-radius: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    color:rgb(226, 247, 255);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 500px;
}

h1{
    text-align: center;
    padding-bottom: 0%;
  }

p{
    font-size: larger;
}

label{
    font-size: x-large;
}

#name {
    width: 50%;
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid white;
    border-radius: 4px;
    box-sizing: border-box;
}


#start-container button {
    padding: 15px;
    font-size: 20px;
    background-color: green;
    border: none;
    color: white;
    border-radius: 5px;
    cursor: pointer;
    transition: all 0.5s;

  }

#question{
    text-align: center;
    font-size: 300%;
    padding-bottom: 10px;
}

.choices-container{
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 20px;
}

.choices-container button{
    margin-bottom: 20px;
    padding: 10px;
    font-size: 20px;
    background-color: rgb(48, 88, 168);
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

#quiz-container, #result-container, #history-container{
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#sign {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 20px;
}

#correct,
#wrong {
    font-size: 40px;
    margin: 0 20px;
}

h2, #user-name, #user-score {
    width: 100%;
    font-size: 250%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 20px;
}

#result-container button {
    margin-bottom: 20px;
    padding: 10px;
    font-size: 20px;
    background-color: green;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

ol {
    margin-left: 50px ;
    width: 100%;
    font-size: 150%;
    margin-top: 20px;
}

#history-container button{
    margin-bottom: 20px;
    padding: 10px;
    font-size: 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

#history-container button.clearbtn{
    background-color: rgb(121, 1, 1);
    color: white;
}

#history-container button.againbtn{
    background-color: green;
    color: white;
}
